PHPExcel_Chart

# Class: PHPExcel_Chart

Source Location: /PHPExcel/Chart.php

### Class Overview

PHPExcel_Chart

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- __construct
- getBottomRightCell
- getBottomRightOffset
- getBottomRightPosition
- getBottomRightXOffset
- getBottomRightYOffset
- getDisplayBlanksAs
- getLegend
- getName
- getPlotArea
- getPlotVisibleOnly
- getTitle
- getTopLeftCell
- getTopLeftOffset
- getTopLeftPosition
- getTopLeftXOffset
- getTopLeftYOffset
- getWorksheet
- getXAxisLabel
- getYAxisLabel
- refresh
- render
- setBottomRightCell
- setBottomRightOffset
- setBottomRightPosition
- setBottomRightXOffset
- setBottomRightYOffset
- setDisplayBlanksAs
- setLegend
- setPlotVisibleOnly
- setTitle
- setTopLeftCell
- setTopLeftOffset
- setTopLeftPosition
- setTopLeftXOffset
- setTopLeftYOffset
- setWorksheet
- setXAxisLabel
- setYAxisLabel

### Class Details

[line 36]
PHPExcel_Chart

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 153]

`PHPExcel_Chart __construct( $name, [PHPExcel_Chart_Title $title = null], [PHPExcel_Chart_Legend $legend = null], [PHPExcel_Chart_PlotArea $plotArea = null], [ $plotVisibleOnly = true], [ $displayBlanksAs = '0'], [PHPExcel_Chart_Title $xAxisLabel = null], [PHPExcel_Chart_Title $yAxisLabel = null])`

Create a new PHPExcel_Chart

#### Tags:

access: | public

#### Parameters:

| $name |
PHPExcel_Chart_Title | $title |
PHPExcel_Chart_Legend | $legend |
PHPExcel_Chart_PlotArea | $plotArea |
| $plotVisibleOnly |
| $displayBlanksAs |
PHPExcel_Chart_Title | $xAxisLabel |
PHPExcel_Chart_Title | $yAxisLabel |

[ Top ]

### method getBottomRightCell [line 457]

`string getBottomRightCell( )`

Get the cell address where the bottom right of the chart is fixed

#### Tags:

access: | public

[ Top ]

### method getBottomRightOffset [line 470]

`void getBottomRightOffset( )`

#### Tags:

access: | public

[ Top ]

### method getBottomRightPosition [line 439]

`array getBottomRightPosition( )`

Get the bottom right position of the chart

#### Tags:

return: | an associative array containing the cell address, X-Offset and Y-Offset from the top left of that cell
access: | public

[ Top ]

### method getBottomRightXOffset [line 482]

`void getBottomRightXOffset( )`

#### Tags:

access: | public

[ Top ]

### method getBottomRightYOffset [line 492]

`void getBottomRightYOffset( )`

#### Tags:

access: | public

[ Top ]

### method getDisplayBlanksAs [line 315]

`string getDisplayBlanksAs( )`

Get Display Blanks as

#### Tags:

access: | public

[ Top ]

### method getLegend [line 222]

`PHPExcel_Chart_Legend getLegend( )`

Get Legend

#### Tags:

access: | public

[ Top ]

### method getName [line 170]

`string getName( )`

Get Name

#### Tags:

access: | public

[ Top ]

### method getPlotArea [line 285]

`PHPExcel_Chart_PlotArea getPlotArea( )`

Get Plot Area

#### Tags:

access: | public

[ Top ]

### method getPlotVisibleOnly [line 294]

`boolean getPlotVisibleOnly( )`

Get Plot Visible Only

#### Tags:

access: | public

[ Top ]

### method getTitle [line 201]

`PHPExcel_Chart_Title getTitle( )`

Get Title

#### Tags:

access: | public

[ Top ]

### method getTopLeftCell [line 365]

`string getTopLeftCell( )`

Get the cell address where the top left of the chart is fixed

#### Tags:

access: | public

[ Top ]

### method getTopLeftOffset [line 390]

`void getTopLeftOffset( )`

#### Tags:

access: | public

[ Top ]

### method getTopLeftPosition [line 353]

`array getTopLeftPosition( )`

Get the top left position of the chart

#### Tags:

return: | an associative array containing the cell address, X-Offset and Y-Offset from the top left of that cell
access: | public

[ Top ]

### method getTopLeftXOffset [line 402]

`void getTopLeftXOffset( )`

#### Tags:

access: | public

[ Top ]

### method getTopLeftYOffset [line 412]

`void getTopLeftYOffset( )`

#### Tags:

access: | public

[ Top ]

### method getWorksheet [line 179]

`PHPExcel_Worksheet getWorksheet( )`

Get Worksheet

#### Tags:

access: | public

[ Top ]

### method getXAxisLabel [line 243]

`PHPExcel_Chart_Title getXAxisLabel( )`

Get X-Axis Label

#### Tags:

access: | public

[ Top ]

### method getYAxisLabel [line 264]

`PHPExcel_Chart_Title getYAxisLabel( )`

Get Y-Axis Label

#### Tags:

access: | public

[ Top ]

### method refresh [line 497]

`void refresh( )`

#### Tags:

access: | public

[ Top ]

### method render [line 503]

`void render( [ $outputDestination = null])`

#### Tags:

access: | public

#### Parameters:

| $outputDestination |

[ Top ]

### method setBottomRightCell [line 446]

`void setBottomRightCell( $cell)`

#### Tags:

access: | public

#### Parameters:

| $cell |

[ Top ]

### method setBottomRightOffset [line 461]

`void setBottomRightOffset( [ $xOffset = null], [ $yOffset = null])`

#### Tags:

access: | public

#### Parameters:

| $xOffset |
| $yOffset |

[ Top ]

### method setBottomRightPosition [line 424]

`PHPExcel_Chart setBottomRightPosition( string $cell, [integer $xOffset = null], [integer $yOffset = null])`

Set the Bottom Right position of the chart

#### Tags:

access: | public

#### Parameters:

string | $cell |
integer | $xOffset |
integer | $yOffset |

[ Top ]

### method setBottomRightXOffset [line 476]

`void setBottomRightXOffset( $xOffset)`

#### Tags:

access: | public

#### Parameters:

| $xOffset |

[ Top ]

### method setBottomRightYOffset [line 486]

`void setBottomRightYOffset( $yOffset)`

#### Tags:

access: | public

#### Parameters:

| $yOffset |

[ Top ]

### method setDisplayBlanksAs [line 325]

`PHPExcel_Chart setDisplayBlanksAs( [string $displayBlanksAs = '0'])`

Set Display Blanks as

#### Tags:

access: | public

#### Parameters:

string | $displayBlanksAs |

[ Top ]

### method setLegend [line 232]

`PHPExcel_Chart setLegend( PHPExcel_Chart_Legend $legend)`

Set Legend

#### Tags:

access: | public

#### Parameters:

PHPExcel_Chart_Legend | $legend |

[ Top ]

### method setPlotVisibleOnly [line 304]

`PHPExcel_Chart setPlotVisibleOnly( [boolean $plotVisibleOnly = true])`

Set Plot Visible Only

#### Tags:

access: | public

#### Parameters:

boolean | $plotVisibleOnly |

[ Top ]

### method setTitle [line 211]

`PHPExcel_Chart setTitle( PHPExcel_Chart_Title $title)`

Set Title

#### Tags:

access: | public

#### Parameters:

PHPExcel_Chart_Title | $title |

[ Top ]

### method setTopLeftCell [line 375]

`PHPExcel_Chart setTopLeftCell( string $cell)`

Set the Top Left cell position for the chart

#### Tags:

access: | public

#### Parameters:

string | $cell |

[ Top ]

### method setTopLeftOffset [line 381]

`void setTopLeftOffset( [ $xOffset = null], [ $yOffset = null])`

#### Tags:

access: | public

#### Parameters:

| $xOffset |
| $yOffset |

[ Top ]

### method setTopLeftPosition [line 338]

`PHPExcel_Chart setTopLeftPosition( string $cell, [integer $xOffset = null], [integer $yOffset = null])`

Set the Top Left position for the chart

#### Tags:

access: | public

#### Parameters:

string | $cell |
integer | $xOffset |
integer | $yOffset |

[ Top ]

### method setTopLeftXOffset [line 396]

`void setTopLeftXOffset( $xOffset)`

#### Tags:

access: | public

#### Parameters:

| $xOffset |

[ Top ]

### method setTopLeftYOffset [line 406]

`void setTopLeftYOffset( $yOffset)`

#### Tags:

access: | public

#### Parameters:

| $yOffset |

[ Top ]

### method setWorksheet [line 190]

`PHPExcel_Chart setWorksheet( [PHPExcel_Worksheet $pValue = null])`

Set Worksheet

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Worksheet | $pValue |

[ Top ]

### method setXAxisLabel [line 253]

`PHPExcel_Chart setXAxisLabel( PHPExcel_Chart_Title $label)`

Set X-Axis Label

#### Tags:

access: | public

#### Parameters:

PHPExcel_Chart_Title | $label |

[ Top ]

### method setYAxisLabel [line 274]

`PHPExcel_Chart setYAxisLabel( PHPExcel_Chart_Title $label)`

Set Y-Axis Label

#### Tags:

access: | public

#### Parameters:

PHPExcel_Chart_Title | $label |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:23 +0200 by phpDocumentor 1.4.4